Subject: RE: [Enum] please post issues from yesterdays session (re CNAM inE2U+PSTN)

From: "Mowafy, Hala" <[email-masked]>
Date: Wed, 16 Nov 2005 17:15:38 -0500

Richard,
LIDBs can have hub points of access that are members of the IP network.
The URI would be the IP address of that hub, which in turn takes care of
the routing.  
As for the data from LIDB, the data could be encapsulated in a SIP
message as payload or could be modified by the hub before it is
returned.
Hala

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, November 16, 2005 4:28 PM
To: Mowafy, Hala
Cc: Livingood, Jason; [email-masked]
Subject: Re: [Enum] please post issues from yesterdays session (re CNAM
inE2U+PSTN)

Mowafy, Hala wrote:
> Jason,
> To add to your list below, there are validation applications in which 
> the CNAM stored in a database, such as LIDB, is retrieved for 
> comparison to data given by the party being validated.  This is 
> different from a web address book that may be publicly available. 
> Having said that, and since you are describing information about PSTN 
> services, I suggest one of your subtypes under 'tel: ' could be LIDB. 
> It is a major source of a wide range of data that both PSTN and VoIP 
> providers use (even beyond CNAM).

Nice idea but how would you translate LIDB data into a IP format and 
what would be the URI necessary to query for the data requested?

> 
> Hala
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf 
> Of Livingood, Jason
> Sent: Wednesday, November 16, 2005 2:25 PM
> To: [email-masked]
> Subject: RE: [Enum] please post issues from yesterdays session (re 
> CNAM
> inE2U+PSTN)
> 
> 
> Coming to this last point of the discussion (see below).  Folks voiced

> a desire to put CNAM (Calling Name) into the draft somehow, so I would

> like to seek out use cases.  When performing SIP peering between 
> service providers, the calling name and number should be transmitted 
> just fine using SIP, so for on-net calls using SIP it should not be 
> necessary.
> 
> Other use cases I can come up with where it may be necessary:
> * Web apps (like maybe a call log viewer or address book) that queries

> for CNAM based on a TN that is displayed or inputted by a user.
> 
> * Aggregating CNAM data for exchange with other PSTN-centric providers

> or other 3rd parties.
> 
> * ??
> 
> So if anyone wishes to suggest other use cases to help Rich and I 
> understand better how to solve this, I'd appreciate it.  Also, if 
> there are any suggestions as to what type of URI to put this in, I am 
> all ears.
> 
> Thanks!
> Jason Livingood
> 
> 
>>-----Original Message-----
>>From: Livingood, Jason
>>Sent: Wednesday, November 09, 2005 1:36 PM
>>To: Alexander Mayrhofer; [email-masked]
>>Subject: RE: [Enum] please post issues from yesterdays session
>>
>>I noted that during my presentation on "draft-ietf-enum-pstn-00" the 
>>following issues were discussed and decided upon:
>>
> 
>  <<<<SNIP>>>>
> 
>>3.  After fixing the nits and word-smithing #2 above (resulting in 
>>-01), we will work on -02 with new suggested data types.  These 
>>include CNAM and 800 number data, per feedback from Kevin McCandless.

>>(This would not include Global Title Translation - which was a 
>>question raised by the
>>co-chair.)  The co-authors are open to any other suggestions.
> 
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum
> 

-- 

Richard Shockey, Director - Member of Technical Staff
NeuStar Inc.
46000 Center Oak Plaza  -   Sterling, VA  20166
sip:rshockey(at)iptel.org   sip:57141(at)fwd.pulver.com
ENUM +87810-13313-31331
PSTN Office +1 571.434.5651 PSTN Mobile +1 703.593.2683
Fax: +1 815.333.1237
<mailto:richard(at)shockey.us> or
<mailto:richard.shockey(at)neustar.biz>
<http://www.neustar.biz> ; <http://www.enum.org>
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum